# UniTAP.dev.ports.modules.link.dp.link_rx

class LinkDisplayPortRx:

Class `LinkDisplayPortRx` contains information about DP link.

- Read link status `status`.
- Configure and read link capabilities `capabilities`.
- Make `hpd_pulse`.
- Assert/Deassert HPD state `set_assert_state`.
- Read and write scrambler seed value `scrambler_seed`.

LinkDisplayPortRx( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, hw_caps: UniTAP.dev.ports.modules.link.dp.private_link_rx_types.DPRXHWCaps, dpcd: UniTAP.dev.ports.modules.dpcd.dpcd.DPCDRegisters)
status: UniTAP.dev.ports.modules.link.dp.link_rx_status.LinkDisplayPortStatusSink

Returns object of class `LinkDisplayPortStatusSink` for working with link status.

###### Returns:

> object of `LinkDisplayPortStatusSink` type

capabilities: UniTAP.dev.ports.modules.link.dp.link_rx_caps.LinkDisplayPortCaps

Returns object of class `LinkDisplayPortCaps` for working with link capabilities.

###### Returns:

> object of `LinkDisplayPortStatusSink` type

aux_controller: UniTAP.dev.ports.modules.link.dp.link_rx_aux_controller.DisplayPortAUXController

Returns object of class `DisplayPortAUXController` for working with DP AUX Controller.

###### Returns:

> object of `DisplayPortAUXController` type

def hpd_pulse(self, duration_us: int = 500000):

Start HPD pulse.

###### Arguments:

- duration_us (int)

def set_assert_state(self, state: bool):

Assert/Deassert HPD state.

###### Arguments:

- state (bool)

scrambler_seed: int

Returns scrambler seed value.

###### Returns:

> object of `int` type

def cable_rx_type( self) -> UniTAP.dev.ports.modules.link.dp.link_rx_types.CableCapabilitiesEnum:

Get cable type from the RX side.

###### Returns:

> object of `CableCapabilitiesEnum` type

def cable_tx_type( self) -> UniTAP.dev.ports.modules.link.dp.link_rx_types.CableCapabilitiesEnum:

Get cable type from the TX side.

###### Returns:

> object of `CableCapabilitiesEnum` type